Bug 187139 - ldapsearch paramaters incorrect
ldapsearch paramaters incorrect
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: wiki (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Orla Hegarty
http://directory.fedora.redhat.com/wi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 14:10 EST by Mont Rothstein
Modified: 2008-08-11 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 17:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mont Rothstein 2006-03-28 14:10:15 EST
Description of problem:

The ldapsearch parameters, as specified in the final compare accounts section,
do not work with a default install of FDS 1.0.1.

The base dn must be specified and SSL connections are not part of a default
installation.

Version-Release number of selected component (if applicable):

FDS 1.0.1

How reproducible:

Always

Steps to Reproduce:
1.ldapsearch -x -Z '(uid=testuser)'
  
Actual results:

Usage instructions are spit out OR SSL initialization failed error

Expected results:

Search results

Additional info:

The command I used is:

./ldapsearch -p PORT -b "dc=DOMAINNAME,dc=DOMAINEXT" '(uid=testuser)'
Comment 1 Rich Megginson 2006-03-28 14:22:05 EST
The version of ldapsearch used in those commands is /usr/bin/ldapsearch, which
should be in your PATH by default.

However, in order to use -Z (startTLS), the server and clients must have been
configured to use SSL/TLS - see
http://directory.fedora.redhat.com/wiki/Howto:SSL for more details.  You should
be able to omit the -Z.
Comment 2 Mont Rothstein 2006-03-28 17:49:39 EST
I realize that -Z can be ommitted, I just thought that most users using this
document would be setup for SSL/TLS and that those who were, would know to use -Z.
Comment 3 Chandrasekar Kannan 2008-08-11 19:46:02 EDT
Bug already CLOSED. setting screened+ flag

Note You need to log in before you can comment on or make changes to this bug.